"""
ProjPack - Project Bundling Tool for AI

A tool to bundle entire projects into single text files for easy sharing with AI tools.
Respects .ppignore files and intelligently filters binary/large files.
"""

from .core import ProjectPacker, ProjectStats
from .ignore_parser import IgnoreParser, create_default_ppignore
from .file_handler import FileHandler

__version__ = "1.0.0"
__author__ = "Muhammad Fael"
__email__ = "muhmmdfa624@gmail.com"
__description__ = "Bundle project files into single text files for AI analysis"

# Main exports
__all__ = [
    "ProjectPacker",
    "ProjectStats",
    "IgnoreParser",
    "FileHandler",
    "create_default_ppignore"
]